Subject: Re: bug#6385: A slightly less aggressive fit-window-to-buffer

From: martin rudalics <[email-masked]>
Date: Mon, 14 Jun 2010 08:49:59 +0200

> Sorry, I cannot take the time to try to pare things down to a single small case.
 > Suffice it to say that I have never run into the problem before Emacs 23. In my
 > case, this is about `fit-window-to-buffer' - that is where I see the problem.

So far I don't have the slightest idea what "the problem" is.  I don't
even know which window gets deleted: The one showing the buffer whose
window shall be fit (in which case it would be interesting to know
whether the window shall be shrunk or enlarged), or another window.

 >> If you have a one line window and an nine lines window in a ten
 >> lines frame and you want to enlarge the nine lines window by one
 >> line Emacs 23 will probably delete the one line window.
 >
 > That sounds like a bug - it contradicts the doc.  Why shouldn't enlargement be
 > prevented instead, in that case?

It's prevented in `adjust-window-trailing-edge'.  For `enlarge-window'
there's no such rule.  The latter's doc-string clearly states:

   "This function can delete windows if they get too small."

martin